--!parent
--!encoding=utf-8

--****************************************************************************
-- @file			LSW CORE LIB: QSCINTILLA - SCI-CONSTANTS EXTENSION
-- @author   	Valentin Schmidt
-- @version  	0.1
--****************************************************************************

----------------------------------------
-- @constructor
----------------------------------------
on new (me)

	me[#SCI_START] = 2000
	me[#SCI_OPTIONAL_START] = 3000
	me[#SCI_LEXER_START] = 4000
	me[#SCI_ADDTEXT] = 2001
	me[#SCI_ADDSTYLEDTEXT] = 2002
	me[#SCI_INSERTTEXT] = 2003
	me[#SCI_CLEARALL] = 2004
	me[#SCI_CLEARDOCUMENTSTYLE] = 2005
	me[#SCI_GETLENGTH] = 2006
	me[#SCI_GETCHARAT] = 2007
	me[#SCI_GETCURRENTPOS] = 2008
	me[#SCI_GETANCHOR] = 2009
	me[#SCI_GETSTYLEAT] = 2010
	me[#SCI_REDO] = 2011
	me[#SCI_SETUNDOCOLLECTION] = 2012
	me[#SCI_SELECTALL] = 2013
	me[#SCI_SETSAVEPOINT] = 2014
	me[#SCI_GETSTYLEDTEXT] = 2015
	me[#SCI_CANREDO] = 2016
	me[#SCI_MARKERLINEFROMHANDLE] = 2017
	me[#SCI_MARKERDELETEHANDLE] = 2018
	me[#SCI_GETUNDOCOLLECTION] = 2019
	me[#SCI_GETVIEWWS] = 2020
	me[#SCI_SETVIEWWS] = 2021
	me[#SCI_POSITIONFROMPOINT] = 2022
	me[#SCI_POSITIONFROMPOINTCLOSE] = 2023
	me[#SCI_GOTOLINE] = 2024
	me[#SCI_GOTOPOS] = 2025
	me[#SCI_SETANCHOR] = 2026
	me[#SCI_GETCURLINE] = 2027
	me[#SCI_GETENDSTYLED] = 2028
	me[#SCI_CONVERTEOLS] = 2029
	me[#SCI_GETEOLMODE] = 2030
	me[#SCI_SETEOLMODE] = 2031
	me[#SCI_STARTSTYLING] = 2032
	me[#SCI_SETSTYLING] = 2033
	me[#SCI_GETBUFFEREDDRAW] = 2034
	me[#SCI_SETBUFFEREDDRAW] = 2035
	me[#SCI_SETTABWIDTH] = 2036
	me[#SCI_GETTABWIDTH] = 2121
	me[#SCI_SETCODEPAGE] = 2037
	me[#SCI_MARKERDEFINE] = 2040
	me[#SCI_MARKERSETFORE] = 2041
	me[#SCI_MARKERSETBACK] = 2042
	me[#SCI_MARKERADD] = 2043
	me[#SCI_MARKERDELETE] = 2044
	me[#SCI_MARKERDELETEALL] = 2045
	me[#SCI_MARKERGET] = 2046
	me[#SCI_MARKERNEXT] = 2047
	me[#SCI_MARKERPREVIOUS] = 2048
	me[#SCI_MARKERDEFINEPIXMAP] = 2049
	me[#SCI_SETMARGINTYPEN] = 2240
	me[#SCI_GETMARGINTYPEN] = 2241
	me[#SCI_SETMARGINWIDTHN] = 2242
	me[#SCI_GETMARGINWIDTHN] = 2243
	me[#SCI_SETMARGINMASKN] = 2244
	me[#SCI_GETMARGINMASKN] = 2245
	me[#SCI_SETMARGINSENSITIVEN] = 2246
	me[#SCI_GETMARGINSENSITIVEN] = 2247
	me[#SCI_SETMARGINCURSORN] = 2248
	me[#SCI_GETMARGINCURSORN] = 2249
	me[#SCI_STYLECLEARALL] = 2050
	me[#SCI_STYLESETFORE] = 2051
	me[#SCI_STYLESETBACK] = 2052
	me[#SCI_STYLESETBOLD] = 2053
	me[#SCI_STYLESETITALIC] = 2054
	me[#SCI_STYLESETSIZE] = 2055
	me[#SCI_STYLESETFONT] = 2056
	me[#SCI_STYLESETEOLFILLED] = 2057
	me[#SCI_STYLERESETDEFAULT] = 2058
	me[#SCI_STYLESETUNDERLINE] = 2059
	me[#SCI_STYLESETCASE] = 2060
	me[#SCI_STYLESETSIZEFRACTIONAL] = 2061
	me[#SCI_STYLEGETSIZEFRACTIONAL] = 2062
	me[#SCI_STYLESETWEIGHT] = 2063
	me[#SCI_STYLEGETWEIGHT] = 2064
	me[#SCI_STYLESETCHARACTERSET] = 2066
	me[#SCI_SETSELFORE] = 2067
	me[#SCI_SETSELBACK] = 2068
	me[#SCI_SETCARETFORE] = 2069
	me[#SCI_ASSIGNCMDKEY] = 2070
	me[#SCI_CLEARCMDKEY] = 2071
	me[#SCI_CLEARALLCMDKEYS] = 2072
	me[#SCI_SETSTYLINGEX] = 2073
	me[#SCI_STYLESETVISIBLE] = 2074
	me[#SCI_GETCARETPERIOD] = 2075
	me[#SCI_SETCARETPERIOD] = 2076
	me[#SCI_SETWORDCHARS] = 2077
	me[#SCI_BEGINUNDOACTION] = 2078
	me[#SCI_ENDUNDOACTION] = 2079
	me[#SCI_INDICSETSTYLE] = 2080
	me[#SCI_INDICGETSTYLE] = 2081
	me[#SCI_INDICSETFORE] = 2082
	me[#SCI_INDICGETFORE] = 2083
	me[#SCI_SETWHITESPACEFORE] = 2084
	me[#SCI_SETWHITESPACEBACK] = 2085
	me[#SCI_SETWHITESPACESIZE] = 2086
	me[#SCI_GETWHITESPACESIZE] = 2087
	me[#SCI_SETSTYLEBITS] = 2090
	me[#SCI_GETSTYLEBITS] = 2091
	me[#SCI_SETLINESTATE] = 2092
	me[#SCI_GETLINESTATE] = 2093
	me[#SCI_GETMAXLINESTATE] = 2094
	me[#SCI_GETCARETLINEVISIBLE] = 2095
	me[#SCI_SETCARETLINEVISIBLE] = 2096
	me[#SCI_GETCARETLINEBACK] = 2097
	me[#SCI_SETCARETLINEBACK] = 2098
	me[#SCI_STYLESETCHANGEABLE] = 2099
	me[#SCI_AUTOCSHOW] = 2100
	me[#SCI_AUTOCCANCEL] = 2101
	me[#SCI_AUTOCACTIVE] = 2102
	me[#SCI_AUTOCPOSSTART] = 2103
	me[#SCI_AUTOCCOMPLETE] = 2104
	me[#SCI_AUTOCSTOPS] = 2105
	me[#SCI_AUTOCSETSEPARATOR] = 2106
	me[#SCI_AUTOCGETSEPARATOR] = 2107
	me[#SCI_AUTOCSELECT] = 2108
	me[#SCI_AUTOCSETCANCELATSTART] = 2110
	me[#SCI_AUTOCGETCANCELATSTART] = 2111
	me[#SCI_AUTOCSETFILLUPS] = 2112
	me[#SCI_AUTOCSETCHOOSESINGLE] = 2113
	me[#SCI_AUTOCGETCHOOSESINGLE] = 2114
	me[#SCI_AUTOCSETIGNORECASE] = 2115
	me[#SCI_AUTOCGETIGNORECASE] = 2116
	me[#SCI_USERLISTSHOW] = 2117
	me[#SCI_AUTOCSETAUTOHIDE] = 2118
	me[#SCI_AUTOCGETAUTOHIDE] = 2119
	me[#SCI_AUTOCSETDROPRESTOFWORD] = 2270
	me[#SCI_AUTOCGETDROPRESTOFWORD] = 2271
	me[#SCI_SETINDENT] = 2122
	me[#SCI_GETINDENT] = 2123
	me[#SCI_SETUSETABS] = 2124
	me[#SCI_GETUSETABS] = 2125
	me[#SCI_SETLINEINDENTATION] = 2126
	me[#SCI_GETLINEINDENTATION] = 2127
	me[#SCI_GETLINEINDENTPOSITION] = 2128
	me[#SCI_GETCOLUMN] = 2129
	me[#SCI_SETHSCROLLBAR] = 2130
	me[#SCI_GETHSCROLLBAR] = 2131
	me[#SCI_SETINDENTATIONGUIDES] = 2132
	me[#SCI_GETINDENTATIONGUIDES] = 2133
	me[#SCI_SETHIGHLIGHTGUIDE] = 2134
	me[#SCI_GETHIGHLIGHTGUIDE] = 2135
	me[#SCI_GETLINEENDPOSITION] = 2136
	me[#SCI_GETCODEPAGE] = 2137
	me[#SCI_GETCARETFORE] = 2138
	me[#SCI_GETREADONLY] = 2140
	me[#SCI_SETCURRENTPOS] = 2141
	me[#SCI_SETSELECTIONSTART] = 2142
	me[#SCI_GETSELECTIONSTART] = 2143
	me[#SCI_SETSELECTIONEND] = 2144
	me[#SCI_GETSELECTIONEND] = 2145
	me[#SCI_SETPRINTMAGNIFICATION] = 2146
	me[#SCI_GETPRINTMAGNIFICATION] = 2147
	me[#SCI_SETPRINTCOLOURMODE] = 2148
	me[#SCI_GETPRINTCOLOURMODE] = 2149
	me[#SCI_FINDTEXT] = 2150
	me[#SCI_FORMATRANGE] = 2151
	me[#SCI_GETFIRSTVISIBLELINE] = 2152
	me[#SCI_GETLINE] = 2153
	me[#SCI_GETLINECOUNT] = 2154
	me[#SCI_SETMARGINLEFT] = 2155
	me[#SCI_GETMARGINLEFT] = 2156
	me[#SCI_SETMARGINRIGHT] = 2157
	me[#SCI_GETMARGINRIGHT] = 2158
	me[#SCI_GETMODIFY] = 2159
	me[#SCI_SETSEL] = 2160
	me[#SCI_GETSELTEXT] = 2161
	me[#SCI_GETTEXTRANGE] = 2162
	me[#SCI_HIDESELECTION] = 2163
	me[#SCI_POINTXFROMPOSITION] = 2164
	me[#SCI_POINTYFROMPOSITION] = 2165
	me[#SCI_LINEFROMPOSITION] = 2166
	me[#SCI_POSITIONFROMLINE] = 2167
	me[#SCI_LINESCROLL] = 2168
	me[#SCI_SCROLLCARET] = 2169
	me[#SCI_REPLACESEL] = 2170
	me[#SCI_SETREADONLY] = 2171
	me[#SCI_NULL] = 2172
	me[#SCI_CANPASTE] = 2173
	me[#SCI_CANUNDO] = 2174
	me[#SCI_EMPTYUNDOBUFFER] = 2175
	me[#SCI_UNDO] = 2176
	me[#SCI_CUT] = 2177
	me[#SCI_COPY] = 2178
	me[#SCI_PASTE] = 2179
	me[#SCI_CLEAR] = 2180
	me[#SCI_SETTEXT] = 2181
	me[#SCI_GETTEXT] = 2182
	me[#SCI_GETTEXTLENGTH] = 2183
	me[#SCI_GETDIRECTFUNCTION] = 2184
	me[#SCI_GETDIRECTPOINTER] = 2185
	me[#SCI_SETOVERTYPE] = 2186
	me[#SCI_GETOVERTYPE] = 2187
	me[#SCI_SETCARETWIDTH] = 2188
	me[#SCI_GETCARETWIDTH] = 2189
	me[#SCI_SETTARGETSTART] = 2190
	me[#SCI_GETTARGETSTART] = 2191
	me[#SCI_SETTARGETEND] = 2192
	me[#SCI_GETTARGETEND] = 2193
	me[#SCI_REPLACETARGET] = 2194
	me[#SCI_REPLACETARGETRE] = 2195
	me[#SCI_SEARCHINTARGET] = 2197
	me[#SCI_SETSEARCHFLAGS] = 2198
	me[#SCI_GETSEARCHFLAGS] = 2199
	me[#SCI_CALLTIPSHOW] = 2200
	me[#SCI_CALLTIPCANCEL] = 2201
	me[#SCI_CALLTIPACTIVE] = 2202
	me[#SCI_CALLTIPPOSSTART] = 2203
	me[#SCI_CALLTIPSETHLT] = 2204
	me[#SCI_CALLTIPSETBACK] = 2205
	me[#SCI_CALLTIPSETFORE] = 2206
	me[#SCI_CALLTIPSETFOREHLT] = 2207
	me[#SCI_AUTOCSETMAXWIDTH] = 2208
	me[#SCI_AUTOCGETMAXWIDTH] = 2209
	me[#SCI_AUTOCSETMAXHEIGHT] = 2210
	me[#SCI_AUTOCGETMAXHEIGHT] = 2211
	me[#SCI_CALLTIPUSESTYLE] = 2212
	me[#SCI_CALLTIPSETPOSITION] = 2213
	me[#SCI_CALLTIPSETPOSSTART] = 2214
	me[#SCI_VISIBLEFROMDOCLINE] = 2220
	me[#SCI_DOCLINEFROMVISIBLE] = 2221
	me[#SCI_SETFOLDLEVEL] = 2222
	me[#SCI_GETFOLDLEVEL] = 2223
	me[#SCI_GETLASTCHILD] = 2224
	me[#SCI_GETFOLDPARENT] = 2225
	me[#SCI_SHOWLINES] = 2226
	me[#SCI_HIDELINES] = 2227
	me[#SCI_GETLINEVISIBLE] = 2228
	me[#SCI_SETFOLDEXPANDED] = 2229
	me[#SCI_GETFOLDEXPANDED] = 2230
	me[#SCI_TOGGLEFOLD] = 2231
	me[#SCI_ENSUREVISIBLE] = 2232
	me[#SCI_SETFOLDFLAGS] = 2233
	me[#SCI_ENSUREVISIBLEENFORCEPOLICY] = 2234
	me[#SCI_WRAPCOUNT] = 2235
	me[#SCI_GETALLLINESVISIBLE] = 2236
	me[#SCI_FOLDLINE] = 2237
	me[#SCI_FOLDCHILDREN] = 2238
	me[#SCI_EXPANDCHILDREN] = 2239
	me[#SCI_SETTABINDENTS] = 2260
	me[#SCI_GETTABINDENTS] = 2261
	me[#SCI_SETBACKSPACEUNINDENTS] = 2262
	me[#SCI_GETBACKSPACEUNINDENTS] = 2263
	me[#SCI_SETMOUSEDWELLTIME] = 2264
	me[#SCI_GETMOUSEDWELLTIME] = 2265
	me[#SCI_WORDSTARTPOSITION] = 2266
	me[#SCI_WORDENDPOSITION] = 2267
	me[#SCI_SETWRAPMODE] = 2268
	me[#SCI_GETWRAPMODE] = 2269
	me[#SCI_SETLAYOUTCACHE] = 2272
	me[#SCI_GETLAYOUTCACHE] = 2273
	me[#SCI_SETSCROLLWIDTH] = 2274
	me[#SCI_GETSCROLLWIDTH] = 2275
	me[#SCI_TEXTWIDTH] = 2276
	me[#SCI_SETENDATLASTLINE] = 2277
	me[#SCI_GETENDATLASTLINE] = 2278
	me[#SCI_TEXTHEIGHT] = 2279
	me[#SCI_SETVSCROLLBAR] = 2280
	me[#SCI_GETVSCROLLBAR] = 2281
	me[#SCI_APPENDTEXT] = 2282
	me[#SCI_GETTWOPHASEDRAW] = 2283
	me[#SCI_SETTWOPHASEDRAW] = 2284
	me[#SCI_AUTOCGETTYPESEPARATOR] = 2285
	me[#SCI_AUTOCSETTYPESEPARATOR] = 2286
	me[#SCI_TARGETFROMSELECTION] = 2287
	me[#SCI_LINESJOIN] = 2288
	me[#SCI_LINESSPLIT] = 2289
	me[#SCI_SETFOLDMARGINCOLOUR] = 2290
	me[#SCI_SETFOLDMARGINHICOLOUR] = 2291
	me[#SCI_MARKERSETBACKSELECTED] = 2292
	me[#SCI_MARKERENABLEHIGHLIGHT] = 2293
	me[#SCI_LINEDOWN] = 2300
	me[#SCI_LINEDOWNEXTEND] = 2301
	me[#SCI_LINEUP] = 2302
	me[#SCI_LINEUPEXTEND] = 2303
	me[#SCI_CHARLEFT] = 2304
	me[#SCI_CHARLEFTEXTEND] = 2305
	me[#SCI_CHARRIGHT] = 2306
	me[#SCI_CHARRIGHTEXTEND] = 2307
	me[#SCI_WORDLEFT] = 2308
	me[#SCI_WORDLEFTEXTEND] = 2309
	me[#SCI_WORDRIGHT] = 2310
	me[#SCI_WORDRIGHTEXTEND] = 2311
	me[#SCI_HOME] = 2312
	me[#SCI_HOMEEXTEND] = 2313
	me[#SCI_LINEEND] = 2314
	me[#SCI_LINEENDEXTEND] = 2315
	me[#SCI_DOCUMENTSTART] = 2316
	me[#SCI_DOCUMENTSTARTEXTEND] = 2317
	me[#SCI_DOCUMENTEND] = 2318
	me[#SCI_DOCUMENTENDEXTEND] = 2319
	me[#SCI_PAGEUP] = 2320
	me[#SCI_PAGEUPEXTEND] = 2321
	me[#SCI_PAGEDOWN] = 2322
	me[#SCI_PAGEDOWNEXTEND] = 2323
	me[#SCI_EDITTOGGLEOVERTYPE] = 2324
	me[#SCI_CANCEL] = 2325
	me[#SCI_DELETEBACK] = 2326
	me[#SCI_TAB] = 2327
	me[#SCI_BACKTAB] = 2328
	me[#SCI_NEWLINE] = 2329
	me[#SCI_FORMFEED] = 2330
	me[#SCI_VCHOME] = 2331
	me[#SCI_VCHOMEEXTEND] = 2332
	me[#SCI_ZOOMIN] = 2333
	me[#SCI_ZOOMOUT] = 2334
	me[#SCI_DELWORDLEFT] = 2335
	me[#SCI_DELWORDRIGHT] = 2336
	me[#SCI_LINECUT] = 2337
	me[#SCI_LINEDELETE] = 2338
	me[#SCI_LINETRANSPOSE] = 2339
	me[#SCI_LOWERCASE] = 2340
	me[#SCI_UPPERCASE] = 2341
	me[#SCI_LINESCROLLDOWN] = 2342
	me[#SCI_LINESCROLLUP] = 2343
	me[#SCI_DELETEBACKNOTLINE] = 2344
	me[#SCI_HOMEDISPLAY] = 2345
	me[#SCI_HOMEDISPLAYEXTEND] = 2346
	me[#SCI_LINEENDDISPLAY] = 2347
	me[#SCI_LINEENDDISPLAYEXTEND] = 2348
	me[#SCI_MOVECARETINSIDEVIEW] = 2401
	me[#SCI_LINELENGTH] = 2350
	me[#SCI_BRACEHIGHLIGHT] = 2351
	me[#SCI_BRACEBADLIGHT] = 2352
	me[#SCI_BRACEMATCH] = 2353
	me[#SCI_GETVIEWEOL] = 2355
	me[#SCI_SETVIEWEOL] = 2356
	me[#SCI_GETDOCPOINTER] = 2357
	me[#SCI_SETDOCPOINTER] = 2358
	me[#SCI_SETMODEVENTMASK] = 2359
	me[#SCI_GETEDGECOLUMN] = 2360
	me[#SCI_SETEDGECOLUMN] = 2361
	me[#SCI_GETEDGEMODE] = 2362
	me[#SCI_SETEDGEMODE] = 2363
	me[#SCI_GETEDGECOLOUR] = 2364
	me[#SCI_SETEDGECOLOUR] = 2365
	me[#SCI_SEARCHANCHOR] = 2366
	me[#SCI_SEARCHNEXT] = 2367
	me[#SCI_SEARCHPREV] = 2368
	me[#SCI_LINESONSCREEN] = 2370
	me[#SCI_USEPOPUP] = 2371
	me[#SCI_SELECTIONISRECTANGLE] = 2372
	me[#SCI_SETZOOM] = 2373
	me[#SCI_GETZOOM] = 2374
	me[#SCI_CREATEDOCUMENT] = 2375
	me[#SCI_ADDREFDOCUMENT] = 2376
	me[#SCI_RELEASEDOCUMENT] = 2377
	me[#SCI_GETMODEVENTMASK] = 2378
	me[#SCI_SETFOCUS] = 2380
	me[#SCI_GETFOCUS] = 2381
	me[#SCI_SETSTATUS] = 2382
	me[#SCI_GETSTATUS] = 2383
	me[#SCI_SETMOUSEDOWNCAPTURES] = 2384
	me[#SCI_GETMOUSEDOWNCAPTURES] = 2385
	me[#SCI_SETCURSOR] = 2386
	me[#SCI_GETCURSOR] = 2387
	me[#SCI_SETCONTROLCHARSYMBOL] = 2388
	me[#SCI_GETCONTROLCHARSYMBOL] = 2389
	me[#SCI_WORDPARTLEFT] = 2390
	me[#SCI_WORDPARTLEFTEXTEND] = 2391
	me[#SCI_WORDPARTRIGHT] = 2392
	me[#SCI_WORDPARTRIGHTEXTEND] = 2393
	me[#SCI_SETVISIBLEPOLICY] = 2394
	me[#SCI_DELLINELEFT] = 2395
	me[#SCI_DELLINERIGHT] = 2396
	me[#SCI_SETXOFFSET] = 2397
	me[#SCI_GETXOFFSET] = 2398
	me[#SCI_CHOOSECARETX] = 2399
	me[#SCI_GRABFOCUS] = 2400
	me[#SCI_SETXCARETPOLICY] = 2402
	me[#SCI_SETYCARETPOLICY] = 2403
	me[#SCI_LINEDUPLICATE] = 2404
	me[#SCI_REGISTERIMAGE] = 2405
	me[#SCI_SETPRINTWRAPMODE] = 2406
	me[#SCI_GETPRINTWRAPMODE] = 2407
	me[#SCI_CLEARREGISTEREDIMAGES] = 2408
	me[#SCI_STYLESETHOTSPOT] = 2409
	me[#SCI_SETHOTSPOTACTIVEFORE] = 2410
	me[#SCI_SETHOTSPOTACTIVEBACK] = 2411
	me[#SCI_SETHOTSPOTACTIVEUNDERLINE] = 2412
	me[#SCI_PARADOWN] = 2413
	me[#SCI_PARADOWNEXTEND] = 2414
	me[#SCI_PARAUP] = 2415
	me[#SCI_PARAUPEXTEND] = 2416
	me[#SCI_POSITIONBEFORE] = 2417
	me[#SCI_POSITIONAFTER] = 2418
	me[#SCI_COPYRANGE] = 2419
	me[#SCI_COPYTEXT] = 2420
	me[#SCI_SETHOTSPOTSINGLELINE] = 2421
	me[#SCI_SETSELECTIONMODE] = 2422
	me[#SCI_GETSELECTIONMODE] = 2423
	me[#SCI_GETLINESELSTARTPOSITION] = 2424
	me[#SCI_GETLINESELENDPOSITION] = 2425
	me[#SCI_LINEDOWNRECTEXTEND] = 2426
	me[#SCI_LINEUPRECTEXTEND] = 2427
	me[#SCI_CHARLEFTRECTEXTEND] = 2428
	me[#SCI_CHARRIGHTRECTEXTEND] = 2429
	me[#SCI_HOMERECTEXTEND] = 2430
	me[#SCI_VCHOMERECTEXTEND] = 2431
	me[#SCI_LINEENDRECTEXTEND] = 2432
	me[#SCI_PAGEUPRECTEXTEND] = 2433
	me[#SCI_PAGEDOWNRECTEXTEND] = 2434
	me[#SCI_STUTTEREDPAGEUP] = 2435
	me[#SCI_STUTTEREDPAGEUPEXTEND] = 2436
	me[#SCI_STUTTEREDPAGEDOWN] = 2437
	me[#SCI_STUTTEREDPAGEDOWNEXTEND] = 2438
	me[#SCI_WORDLEFTEND] = 2439
	me[#SCI_WORDLEFTENDEXTEND] = 2440
	me[#SCI_WORDRIGHTEND] = 2441
	me[#SCI_WORDRIGHTENDEXTEND] = 2442
	me[#SCI_SETWHITESPACECHARS] = 2443
	me[#SCI_SETCHARSDEFAULT] = 2444
	me[#SCI_AUTOCGETCURRENT] = 2445
	me[#SCI_ALLOCATE] = 2446
	me[#SCI_HOMEWRAP] = 2349
	me[#SCI_HOMEWRAPEXTEND] = 2450
	me[#SCI_LINEENDWRAP] = 2451
	me[#SCI_LINEENDWRAPEXTEND] = 2452
	me[#SCI_VCHOMEWRAP] = 2453
	me[#SCI_VCHOMEWRAPEXTEND] = 2454
	me[#SCI_LINECOPY] = 2455
	me[#SCI_FINDCOLUMN] = 2456
	me[#SCI_GETCARETSTICKY] = 2457
	me[#SCI_SETCARETSTICKY] = 2458
	me[#SCI_TOGGLECARETSTICKY] = 2459
	me[#SCI_SETWRAPVISUALFLAGS] = 2460
	me[#SCI_GETWRAPVISUALFLAGS] = 2461
	me[#SCI_SETWRAPVISUALFLAGSLOCATION] = 2462
	me[#SCI_GETWRAPVISUALFLAGSLOCATION] = 2463
	me[#SCI_SETWRAPSTARTINDENT] = 2464
	me[#SCI_GETWRAPSTARTINDENT] = 2465
	me[#SCI_MARKERADDSET] = 2466
	me[#SCI_SETPASTECONVERTENDINGS] = 2467
	me[#SCI_GETPASTECONVERTENDINGS] = 2468
	me[#SCI_SELECTIONDUPLICATE] = 2469
	me[#SCI_SETCARETLINEBACKALPHA] = 2470
	me[#SCI_GETCARETLINEBACKALPHA] = 2471
	me[#SCI_SETWRAPINDENTMODE] = 2472
	me[#SCI_GETWRAPINDENTMODE] = 2473
	me[#SCI_MARKERSETALPHA] = 2476
	me[#SCI_GETSELALPHA] = 2477
	me[#SCI_SETSELALPHA] = 2478
	me[#SCI_GETSELEOLFILLED] = 2479
	me[#SCI_SETSELEOLFILLED] = 2480
	me[#SCI_STYLEGETFORE] = 2481
	me[#SCI_STYLEGETBACK] = 2482
	me[#SCI_STYLEGETBOLD] = 2483
	me[#SCI_STYLEGETITALIC] = 2484
	me[#SCI_STYLEGETSIZE] = 2485
	me[#SCI_STYLEGETFONT] = 2486
	me[#SCI_STYLEGETEOLFILLED] = 2487
	me[#SCI_STYLEGETUNDERLINE] = 2488
	me[#SCI_STYLEGETCASE] = 2489
	me[#SCI_STYLEGETCHARACTERSET] = 2490
	me[#SCI_STYLEGETVISIBLE] = 2491
	me[#SCI_STYLEGETCHANGEABLE] = 2492
	me[#SCI_STYLEGETHOTSPOT] = 2493
	me[#SCI_GETHOTSPOTACTIVEFORE] = 2494
	me[#SCI_GETHOTSPOTACTIVEBACK] = 2495
	me[#SCI_GETHOTSPOTACTIVEUNDERLINE] = 2496
	me[#SCI_GETHOTSPOTSINGLELINE] = 2497
	me[#SCI_BRACEHIGHLIGHTINDICATOR] = 2498
	me[#SCI_BRACEBADLIGHTINDICATOR] = 2499
	me[#SCI_SETINDICATORCURRENT] = 2500
	me[#SCI_GETINDICATORCURRENT] = 2501
	me[#SCI_SETINDICATORVALUE] = 2502
	me[#SCI_GETINDICATORVALUE] = 2503
	me[#SCI_INDICATORFILLRANGE] = 2504
	me[#SCI_INDICATORCLEARRANGE] = 2505
	me[#SCI_INDICATORALLONFOR] = 2506
	me[#SCI_INDICATORVALUEAT] = 2507
	me[#SCI_INDICATORSTART] = 2508
	me[#SCI_INDICATOREND] = 2509
	me[#SCI_INDICSETUNDER] = 2510
	me[#SCI_INDICGETUNDER] = 2511
	me[#SCI_SETCARETSTYLE] = 2512
	me[#SCI_GETCARETSTYLE] = 2513
	me[#SCI_SETPOSITIONCACHE] = 2514
	me[#SCI_GETPOSITIONCACHE] = 2515
	me[#SCI_SETSCROLLWIDTHTRACKING] = 2516
	me[#SCI_GETSCROLLWIDTHTRACKING] = 2517
	me[#SCI_DELWORDRIGHTEND] = 2518
	me[#SCI_COPYALLOWLINE] = 2519
	me[#SCI_GETCHARACTERPOINTER] = 2520
	me[#SCI_SETKEYSUNICODE] = 2521
	me[#SCI_GETKEYSUNICODE] = 2522
	me[#SCI_INDICSETALPHA] = 2523
	me[#SCI_INDICGETALPHA] = 2524
	me[#SCI_SETEXTRAASCENT] = 2525
	me[#SCI_GETEXTRAASCENT] = 2526
	me[#SCI_SETEXTRADESCENT] = 2527
	me[#SCI_GETEXTRADESCENT] = 2528
	me[#SCI_MARKERSYMBOLDEFINED] = 2529
	me[#SCI_MARGINSETTEXT] = 2530
	me[#SCI_MARGINGETTEXT] = 2531
	me[#SCI_MARGINSETSTYLE] = 2532
	me[#SCI_MARGINGETSTYLE] = 2533
	me[#SCI_MARGINSETSTYLES] = 2534
	me[#SCI_MARGINGETSTYLES] = 2535
	me[#SCI_MARGINTEXTCLEARALL] = 2536
	me[#SCI_MARGINSETSTYLEOFFSET] = 2537
	me[#SCI_MARGINGETSTYLEOFFSET] = 2538
	me[#SCI_SETMARGINOPTIONS] = 2539
	me[#SCI_ANNOTATIONSETTEXT] = 2540
	me[#SCI_ANNOTATIONGETTEXT] = 2541
	me[#SCI_ANNOTATIONSETSTYLE] = 2542
	me[#SCI_ANNOTATIONGETSTYLE] = 2543
	me[#SCI_ANNOTATIONSETSTYLES] = 2544
	me[#SCI_ANNOTATIONGETSTYLES] = 2545
	me[#SCI_ANNOTATIONGETLINES] = 2546
	me[#SCI_ANNOTATIONCLEARALL] = 2547
	me[#SCI_ANNOTATIONSETVISIBLE] = 2548
	me[#SCI_ANNOTATIONGETVISIBLE] = 2549
	me[#SCI_ANNOTATIONSETSTYLEOFFSET] = 2550
	me[#SCI_ANNOTATIONGETSTYLEOFFSET] = 2551
	me[#SCI_RELEASEALLEXTENDEDSTYLES] = 2552
	me[#SCI_ALLOCATEEXTENDEDSTYLES] = 2553
	me[#SCI_SETEMPTYSELECTION] = 2556
	me[#SCI_GETMARGINOPTIONS] = 2557
	me[#SCI_INDICSETOUTLINEALPHA] = 2558
	me[#SCI_INDICGETOUTLINEALPHA] = 2559
	me[#SCI_ADDUNDOACTION] = 2560
	me[#SCI_CHARPOSITIONFROMPOINT] = 2561
	me[#SCI_CHARPOSITIONFROMPOINTCLOSE] = 2562
	me[#SCI_SETMULTIPLESELECTION] = 2563
	me[#SCI_GETMULTIPLESELECTION] = 2564
	me[#SCI_SETADDITIONALSELECTIONTYPING] = 2565
	me[#SCI_GETADDITIONALSELECTIONTYPING] = 2566
	me[#SCI_SETADDITIONALCARETSBLINK] = 2567
	me[#SCI_GETADDITIONALCARETSBLINK] = 2568
	me[#SCI_SCROLLRANGE] = 2569
	me[#SCI_GETSELECTIONS] = 2570
	me[#SCI_CLEARSELECTIONS] = 2571
	me[#SCI_SETSELECTION] = 2572
	me[#SCI_ADDSELECTION] = 2573
	me[#SCI_SETMAINSELECTION] = 2574
	me[#SCI_GETMAINSELECTION] = 2575
	me[#SCI_SETSELECTIONNCARET] = 2576
	me[#SCI_GETSELECTIONNCARET] = 2577
	me[#SCI_SETSELECTIONNANCHOR] = 2578
	me[#SCI_GETSELECTIONNANCHOR] = 2579
	me[#SCI_SETSELECTIONNCARETVIRTUALSPACE] = 2580
	me[#SCI_GETSELECTIONNCARETVIRTUALSPACE] = 2581
	me[#SCI_SETSELECTIONNANCHORVIRTUALSPACE] = 2582
	me[#SCI_GETSELECTIONNANCHORVIRTUALSPACE] = 2583
	me[#SCI_SETSELECTIONNSTART] = 2584
	me[#SCI_GETSELECTIONNSTART] = 2585
	me[#SCI_SETSELECTIONNEND] = 2586
	me[#SCI_GETSELECTIONNEND] = 2587
	me[#SCI_SETRECTANGULARSELECTIONCARET] = 2588
	me[#SCI_GETRECTANGULARSELECTIONCARET] = 2589
	me[#SCI_SETRECTANGULARSELECTIONANCHOR] = 2590
	me[#SCI_GETRECTANGULARSELECTIONANCHOR] = 2591
	me[#SCI_SETRECTANGULARSELECTIONCARETVIRTUALSPACE] = 2592
	me[#SCI_GETRECTANGULARSELECTIONCARETVIRTUALSPACE] = 2593
	me[#SCI_SETRECTANGULARSELECTIONANCHORVIRTUALSPACE] = 2594
	me[#SCI_GETRECTANGULARSELECTIONANCHORVIRTUALSPACE] = 2595
	me[#SCI_SETVIRTUALSPACEOPTIONS] = 2596
	me[#SCI_GETVIRTUALSPACEOPTIONS] = 2597
	me[#SCI_SETRECTANGULARSELECTIONMODIFIER] = 2598
	me[#SCI_GETRECTANGULARSELECTIONMODIFIER] = 2599
	me[#SCI_SETADDITIONALSELFORE] = 2600
	me[#SCI_SETADDITIONALSELBACK] = 2601
	me[#SCI_SETADDITIONALSELALPHA] = 2602
	me[#SCI_GETADDITIONALSELALPHA] = 2603
	me[#SCI_SETADDITIONALCARETFORE] = 2604
	me[#SCI_GETADDITIONALCARETFORE] = 2605
	me[#SCI_ROTATESELECTION] = 2606
	me[#SCI_SWAPMAINANCHORCARET] = 2607
	me[#SCI_SETADDITIONALCARETSVISIBLE] = 2608
	me[#SCI_GETADDITIONALCARETSVISIBLE] = 2609
	me[#SCI_AUTOCGETCURRENTTEXT] = 2610
	me[#SCI_SETFONTQUALITY] = 2611
	me[#SCI_GETFONTQUALITY] = 2612
	me[#SCI_SETFIRSTVISIBLELINE] = 2613
	me[#SCI_SETMULTIPASTE] = 2614
	me[#SCI_GETMULTIPASTE] = 2615
	me[#SCI_GETTAG] = 2616
	me[#SCI_CHANGELEXERSTATE] = 2617
	me[#SCI_CONTRACTEDFOLDNEXT] = 2618
	me[#SCI_VERTICALCENTRECARET] = 2619
	me[#SCI_MOVESELECTEDLINESUP] = 2620
	me[#SCI_MOVESELECTEDLINESDOWN] = 2621
	me[#SCI_SETIDENTIFIER] = 2622
	me[#SCI_GETIDENTIFIER] = 2623
	me[#SCI_RGBAIMAGESETWIDTH] = 2624
	me[#SCI_RGBAIMAGESETHEIGHT] = 2625
	me[#SCI_MARKERDEFINERGBAIMAGE] = 2626
	me[#SCI_REGISTERRGBAIMAGE] = 2627
	me[#SCI_SCROLLTOSTART] = 2628
	me[#SCI_SCROLLTOEND] = 2629
	me[#SCI_SETTECHNOLOGY] = 2630
	me[#SCI_GETTECHNOLOGY] = 2631
	me[#SCI_CREATELOADER] = 2632
	me[#SCI_COUNTCHARACTERS] = 2633
	me[#SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR] = 2634
	me[#SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR] = 2635
	me[#SCI_AUTOCSETMULTI] = 2636
	me[#SCI_AUTOCGETMULTI] = 2637
	me[#SCI_FINDINDICATORSHOW] = 2640
	me[#SCI_FINDINDICATORFLASH] = 2641
	me[#SCI_FINDINDICATORHIDE] = 2642
	me[#SCI_GETRANGEPOINTER] = 2643
	me[#SCI_GETGAPPOSITION] = 2644
	me[#SCI_DELETERANGE] = 2645
	me[#SCI_GETWORDCHARS] = 2646
	me[#SCI_GETWHITESPACECHARS] = 2647
	me[#SCI_SETPUNCTUATIONCHARS] = 2648
	me[#SCI_GETPUNCTUATIONCHARS] = 2649
	me[#SCI_GETSELECTIONEMPTY] = 2650
	me[#SCI_RGBAIMAGESETSCALE] = 2651
	me[#SCI_VCHOMEDISPLAY] = 2652
	me[#SCI_VCHOMEDISPLAYEXTEND] = 2653
	me[#SCI_GETCARETLINEVISIBLEALWAYS] = 2654
	me[#SCI_SETCARETLINEVISIBLEALWAYS] = 2655
	me[#SCI_SETLINEENDTYPESALLOWED] = 2656
	me[#SCI_GETLINEENDTYPESALLOWED] = 2657
	me[#SCI_GETLINEENDTYPESACTIVE] = 2658
	me[#SCI_AUTOCSETORDER] = 2660
	me[#SCI_AUTOCGETORDER] = 2661
	me[#SCI_FOLDALL] = 2662
	me[#SCI_SETAUTOMATICFOLD] = 2663
	me[#SCI_GETAUTOMATICFOLD] = 2664
	me[#SCI_SETREPRESENTATION] = 2665
	me[#SCI_GETREPRESENTATION] = 2666
	me[#SCI_CLEARREPRESENTATION] = 2667
	me[#SCI_SETMOUSESELECTIONRECTANGULARSWITCH] = 2668
	me[#SCI_GETMOUSESELECTIONRECTANGULARSWITCH] = 2669
	me[#SCI_POSITIONRELATIVE] = 2670
	me[#SCI_DROPSELECTIONN] = 2671
	me[#SCI_CHANGEINSERTION] = 2672
	me[#SCI_GETPHASESDRAW] = 2673
	me[#SCI_SETPHASESDRAW] = 2674
	me[#SCI_CLEARTABSTOPS] = 2675
	me[#SCI_ADDTABSTOP] = 2676
	me[#SCI_GETNEXTTABSTOP] = 2677
	me[#SCI_GETIMEINTERACTION] = 2678
	me[#SCI_SETIMEINTERACTION] = 2679
	me[#SCI_INDICSETHOVERSTYLE] = 2680
	me[#SCI_INDICGETHOVERSTYLE] = 2681
	me[#SCI_INDICSETHOVERFORE] = 2682
	me[#SCI_INDICGETHOVERFORE] = 2683
	me[#SCI_INDICSETFLAGS] = 2684
	me[#SCI_INDICGETFLAGS] = 2685
	me[#SCI_SETTARGETRANGE] = 2686
	me[#SCI_GETTARGETRANGE] = 2687
	me[#SCI_STARTRECORD] = 3001
	me[#SCI_STOPRECORD] = 3002
	me[#SCI_SETLEXER] = 4001
	me[#SCI_GETLEXER] = 4002
	me[#SCI_COLOURISE] = 4003
	me[#SCI_SETPROPERTY] = 4004
	me[#SCI_SETKEYWORDS] = 4005
	me[#SCI_SETLEXERLANGUAGE] = 4006
	me[#SCI_LOADLEXERLIBRARY] = 4007
	me[#SCI_GETPROPERTY] = 4008
	me[#SCI_GETPROPERTYEXPANDED] = 4009
	me[#SCI_GETPROPERTYINT] = 4010
	me[#SCI_GETSTYLEBITSNEEDED] = 4011
	me[#SCI_GETLEXERLANGUAGE] = 4012
	me[#SCI_PRIVATELEXERCALL] = 4013
	me[#SCI_PROPERTYNAMES] = 4014
	me[#SCI_PROPERTYTYPE] = 4015
	me[#SCI_DESCRIBEPROPERTY] = 4016
	me[#SCI_DESCRIBEKEYWORDSETS] = 4017
	me[#SCI_GETLINEENDTYPESSUPPORTED] = 4018
	me[#SCI_ALLOCATESUBSTYLES] = 4020
	me[#SCI_GETSUBSTYLESSTART] = 4021
	me[#SCI_GETSUBSTYLESLENGTH] = 4022
	me[#SCI_GETSTYLEFROMSUBSTYLE] = 4027
	me[#SCI_GETPRIMARYSTYLEFROMSTYLE] = 4028
	me[#SCI_FREESUBSTYLES] = 4023
	me[#SCI_SETIDENTIFIERS] = 4024
	me[#SCI_DISTANCETOSECONDARYSTYLES] = 4025
	me[#SCI_GETSUBSTYLEBASES] = 4026

	-- style constants
	me[#STYLE_DEFAULT] = 32
	me[#STYLE_LINENUMBER] = 33
	me[#STYLE_BRACELIGHT] = 34
	me[#STYLE_BRACEBAD] = 35
	me[#STYLE_CONTROLCHAR] = 36
	me[#STYLE_INDENTGUIDE] = 37
	me[#STYLE_CALLTIP] = 38
	me[#STYLE_LASTPREDEFINED] = 39
	me[#STYLE_MAX] = 255

	-- lexer constants
	me[#SCLEX_CONTAINER] = 0
	me[#SCLEX_NULL] = 1
	me[#SCLEX_PYTHON] = 2
	me[#SCLEX_CPP] = 3
	me[#SCLEX_HTML] = 4
	me[#SCLEX_XML] = 5
	me[#SCLEX_PERL] = 6
	me[#SCLEX_SQL] = 7
	me[#SCLEX_VB] = 8
	me[#SCLEX_PROPERTIES] = 9
	me[#SCLEX_ERRORLIST] = 10
	me[#SCLEX_MAKEFILE] = 11
	me[#SCLEX_BATCH] = 12
	me[#SCLEX_XCODE] = 13
	me[#SCLEX_LATEX] = 14
	me[#SCLEX_LUA] = 15
	me[#SCLEX_DIFF] = 16
	me[#SCLEX_CONF] = 17
	me[#SCLEX_PASCAL] = 18
	me[#SCLEX_AVE] = 19
	me[#SCLEX_ADA] = 20
	me[#SCLEX_LISP] = 21
	me[#SCLEX_RUBY] = 22
	me[#SCLEX_EIFFEL] = 23
	me[#SCLEX_EIFFELKW] = 24
	me[#SCLEX_TCL] = 25
	me[#SCLEX_NNCRONTAB] = 26
	me[#SCLEX_BULLANT] = 27
	me[#SCLEX_VBSCRIPT] = 28
	me[#SCLEX_PHP] = 30
	me[#SCLEX_BAAN] = 31
	me[#SCLEX_MATLAB] = 32
	me[#SCLEX_SCRIPTOL] = 33
	me[#SCLEX_ASM] = 34
	me[#SCLEX_CPPNOCASE] = 35
	me[#SCLEX_FORTRAN] = 36
	me[#SCLEX_F77] = 37
	me[#SCLEX_CSS] = 38
	me[#SCLEX_POV] = 39
	me[#SCLEX_LOUT] = 40
	me[#SCLEX_ESCRIPT] = 41
	me[#SCLEX_PS] = 42
	me[#SCLEX_NSIS] = 43
	me[#SCLEX_MMIXAL] = 44
	me[#SCLEX_CLW] = 45
	me[#SCLEX_CLWNOCASE] = 46
	me[#SCLEX_LOT] = 47
	me[#SCLEX_YAML] = 48
	me[#SCLEX_TEX] = 49
	me[#SCLEX_METAPOST] = 50
	me[#SCLEX_POWERBASIC] = 51
	me[#SCLEX_FORTH] = 52
	me[#SCLEX_ERLANG] = 53
	me[#SCLEX_OCTAVE] = 54
	me[#SCLEX_MSSQL] = 55
	me[#SCLEX_VERILOG] = 56
	me[#SCLEX_KIX] = 57
	me[#SCLEX_GUI4CLI] = 58
	me[#SCLEX_SPECMAN] = 59
	me[#SCLEX_AU3] = 60
	me[#SCLEX_APDL] = 61
	me[#SCLEX_BASH] = 62
	me[#SCLEX_ASN1] = 63
	me[#SCLEX_VHDL] = 64
	me[#SCLEX_CAML] = 65
	me[#SCLEX_BLITZBASIC] = 66
	me[#SCLEX_PUREBASIC] = 67
	me[#SCLEX_HASKELL] = 68
	me[#SCLEX_PHPSCRIPT] = 69
	me[#SCLEX_TADS3] = 70
	me[#SCLEX_REBOL] = 71
	me[#SCLEX_SMALLTALK] = 72
	me[#SCLEX_FLAGSHIP] = 73
	me[#SCLEX_CSOUND] = 74
	me[#SCLEX_FREEBASIC] = 75
	me[#SCLEX_INNOSETUP] = 76
	me[#SCLEX_OPAL] = 77
	me[#SCLEX_SPICE] = 78
	me[#SCLEX_D] = 79
	me[#SCLEX_CMAKE] = 80
	me[#SCLEX_GAP] = 81
	me[#SCLEX_PLM] = 82
	me[#SCLEX_PROGRESS] = 83
	me[#SCLEX_ABAQUS] = 84
	me[#SCLEX_ASYMPTOTE] = 85
	me[#SCLEX_R] = 86
	me[#SCLEX_MAGIK] = 87
	me[#SCLEX_POWERSHELL] = 88
	me[#SCLEX_MYSQL] = 89
	me[#SCLEX_PO] = 90
	me[#SCLEX_TAL] = 91
	me[#SCLEX_COBOL] = 92
	me[#SCLEX_TACL] = 93
	me[#SCLEX_SORCUS] = 94
	me[#SCLEX_POWERPRO] = 95
	me[#SCLEX_NIMROD] = 96
	me[#SCLEX_SML] = 97
	me[#SCLEX_MARKDOWN] = 98
	me[#SCLEX_TXT2TAGS] = 99
	me[#SCLEX_A68K] = 100
	me[#SCLEX_MODULA] = 101
	me[#SCLEX_COFFEESCRIPT] = 102
	me[#SCLEX_TCMD] = 103
	me[#SCLEX_AVS] = 104
	me[#SCLEX_ECL] = 105
	me[#SCLEX_OSCRIPT] = 106
	me[#SCLEX_VISUALPROLOG] = 107
	me[#SCLEX_LITERATEHASKELL] = 108
	me[#SCLEX_STTXT] = 109
	me[#SCLEX_KVIRC] = 110
	me[#SCLEX_RUST] = 111
	me[#SCLEX_DMAP] = 112
	me[#SCLEX_AS] = 113
	me[#SCLEX_DMIS] = 114
	me[#SCLEX_REGISTRY] = 115
	me[#SCLEX_BIBTEX] = 116
	me[#SCLEX_SREC] = 117
	me[#SCLEX_IHEX] = 118
	me[#SCLEX_TEHEX] = 119
	me[#SCLEX_LINGO] = 120
	me[#SCLEX_AUTOMATIC] = 1000
	
	-- SC constants
	me[#SC_MARGIN_BACK] = 2
	-- ...
	
	-- enum MarkerSymbol
	me[#SC_MARK_CIRCLE] = 0
	me[#SC_MARK_ROUNDRECT] = 1
	me[#SC_MARK_ARROW] = 2
	me[#SC_MARK_SMALLRECT] = 3
	me[#SC_MARK_SHORTARROW] = 4
	me[#SC_MARK_EMPTY] = 5
	me[#SC_MARK_ARROWDOWN] = 6
	me[#SC_MARK_MINUS] = 7
	me[#SC_MARK_PLUS] = 8
	me[#SC_MARK_VLINE] = 9
	me[#SC_MARK_LCORNER] = 10
	me[#SC_MARK_TCORNER] = 11
	me[#SC_MARK_BOXPLUS] = 12
	me[#SC_MARK_BOXPLUSCONNECTED] = 13
	me[#SC_MARK_BOXMINUS] = 14
	me[#SC_MARK_BOXMINUSCONNECTED] = 15
	me[#SC_MARK_LCORNERCURVE] = 16
	me[#SC_MARK_TCORNERCURVE] = 17
	me[#SC_MARK_CIRCLEPLUS] = 18
	me[#SC_MARK_CIRCLEPLUSCONNECTED] = 19
	me[#SC_MARK_CIRCLEMINUS] = 20
	me[#SC_MARK_CIRCLEMINUSCONNECTED] = 21
	me[#SC_MARK_BACKGROUND] = 22
	me[#SC_MARK_DOTDOTDOT] = 23
	me[#SC_MARK_ARROWS] = 24
	me[#SC_MARK_FULLRECT] = 25
	me[#SC_MARK_LEFTRECT] = 26
	me[#SC_MARK_UNDERLINE] = 27
	me[#SC_MARK_BOOKMARK] = 28
	
	return me
end